body {
  background: #1c242d;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  color: white;
  max-width : 800px;
  margin : auto;
  font-size: 1em;
}

a {
  color :#58aef7;
}

/* header */
header {
    width :100% ;
    padding-top: 25px;
}
.headcontainer {
  display : flex;
  flex-direction: row;
}
.cellnav {
  flex : 1 1 2px;
  margin: -5px 0px -10px;
  text-align: left;
}
.cellnav img{
  width : 30px;
  filter: invert(1);
}
.cellnav a{
  line-height: 30px;
}
.cellimage {
  flex : 1 1 2px;
  margin: -5px 0px -10px;
  text-align: right;
  filter: invert(1);
}
.celltitle {
  flex : 3 3 2px;
}


h1 {
  color: white;
  font-weight: bold;
  padding: 15px 25px;
  line-height: 30px;
  font-size: 25px;
  text-align:center;
  /*margin: -25px -25px -20px;*/
}
.container{
  display : grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 10px;
  grid-auto-rows: minmax(100px, auto);
  text-align: center;
  color: white;
}
.container a {
  text-decoration: none;
  color: #58aef7;
}

.container img {
  -webkit-filter: invert(1);
  filter: invert(1);
}

p.errorMessage {
    background-color: #e66262;
    border: #AA4502 1px solid;
    padding: 5px 10px;
    color: #FFFFFF;
    border-radius: 3px;
}

/*gestion des bouttons */
.btn{
  display: inline-block;
  color: white;
  padding: 6px 12px;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  font-size: 14px;
  font-weight: 400;
  cursor: pointer;
  touch-action: manipulation;
  user-select: none;
  border: 1px solid transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
    border-radius: 4px;
}
.btn-xs {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}
.btn-default{
  color: #000;
  background-color: #fff;
  border-color: #ccc
}
.btn-info{
  color: #fff;
  background-color: #5bc0de;
  border-color: #46b8da
}
.btn-done{
  color: #b3b3b3;
  background-color: #b3b3b3;
  border-color: #b3b3b3;
  /*cursor:not-allowed;*/
}
.btn-warning{
  background-color: #e7d72c; /* red */
}
.btn-danger{
  background-color: #bf2346; /* red */
}
.btn-success{
  background-color: #149530; /* red */
}

.table_topbutton {
  margin: 0;
  display : flex;
  justify-content:space-between;
  /*padding: 20px;*/
}

.contenup table {
  width: 100%;
  min-width: 340px;
  max-width: 800px;
  border-collapse: collapse;
  margin: auto;
  margin-top: 1em;
}
.contenup table th, td {
  border-bottom: 1px solid rgb(92, 90, 102);
  padding-top: 4px;
  padding-bottom: 4px;
}
.contenup th {
  height: 30px;
  text-align: left;
  background-color: rgb(61, 60, 60)
}

.contenup th.tdcenter {
  text-align: center;
}

.contenup td {
  text-align: left;
  vertical-align: top;
  font-size: 0.7em;
}

.contenup td.tdcenter {
  text-align: center;
}

.contenup td a{
  text-decoration :none;
  font-weight : bold;
  color :rgb(79, 112, 184)
}

.modal{
  color : rgb(60, 60, 60);
  display:none;
  position:fixed;
  z-index:1;
  top:0;
  /*right:auto;
  bottom:auto;*/
  left:0;
  width : 100vw;
  height : 100vh;
  overflow: auto;
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-dialog{
  background-color: #fefefe;
  margin: 5% auto; /* 15% from the top and centered */
  display : flex;
  align-items : center;
  justify-content: center;
  /*left:auto;
  margin-right:auto;
  margin-left:auto*/
  max-width: 40em;
  border-radius: 10px;

}

.modal-content{
  width : 100%;
  box-shadow: 0 5px 15px rgba(0,0,0,.5);
}

.modal-header{
  padding: 15px;
  border-bottom: 1px solid #e5e5e5;
  display : flex;
  justify-content: space-between;
  flex-direction: row-reverse;
}

.modal-title {
  margin: 0;
  line-height: 1.42857143;
  font-size: 18px;
  font-weight: 500;
  text-align: left;
}

button.close {
 padding: 0;
 cursor: pointer;
 background: 0 0;
 border: 0;
}
.close {
 float: right;
 font-size: 21px;
 font-weight: 700;
 line-height: 1;
 color: #000;
 text-shadow: 0 1px 0 #fff;
 filter: alpha(opacity=20);
 opacity: .2;
}
.close:hover,
.close:focus {
opacity: .7;
text-decoration: none;
cursor: pointer;
}

.modal-body {
position: relative;
padding: 15px;
}

.modal-body .form-group {
margin-bottom: 15px;
}

.modal-body .form-group label {
display: inline-block;
max-width: 100%;
margin-bottom: 5px;
font-weight: 700;
}

.modal-body .form-group .form-control {
display: block;
width: 95%;
/*height: 34px;*/
padding: 6px 12px;
font-size: 14px;
line-height: 1.42857143;
color: #555;
background-color: #fff;
background-image: none;
border: 1px solid #ccc;
border-radius: 4px;
margin: 0px;
}

.modal-body .form-group textarea{
height : 7em;
}

.modal-footer {
padding: 15px;
text-align: right;
border-top: 1px solid #e5e5e5;
}

footer  {
    width :100%
}

.listechoix{
  text-align: center;
  color: white;
}
.listechoix a {
  text-decoration: none;
  color: #58aef7;
}

/*zone de calcul*/

.zone-calcul {
  margin : 4px;
  background-color: rgb(58, 58, 58);
  border : 1px solid white;
  border-radius: 4px;
}

.zone-calcul .title{
  font-size: 1.5rem;
  padding-left: 1em;
}

.ligne-flex {
  display: flex;
  align-items: flex-end;
  justify-content: space-around;
  flex-direction: row;
  padding: 10px;
  margin-bottom: 4px;
}

.ligne-flex .first-operand {
  width: 10em;
  padding-left: 5px;
  padding-right: 5px;
  border : 2px solid rgb(16, 62, 31);
  color:  rgb(16, 62, 31);
  background-color: rgb(255, 255, 255);
}

.ligne-flex .second-operand {
  width: 6em;
  padding-left: 5px;
  padding-right: 5px;
  border : 2px solid rgb(16, 62, 31);
  color:  rgb(16, 62, 31);
  background-color: rgb(71, 179, 116);
}

pre {
    background: #979797;
    color:#000;
    padding: 0px;
    font-size: 1.3em;
}
.divflex {
    display: flex;
    flex-direction:row;
}